Categories:
  - Science & Education
License: Apache-2.0
SourceCode: https://github.com/theblackwidower/KanaQuiz
IssueTracker: https://github.com/theblackwidower/KanaQuiz/issues

AutoName: The Kana Quiz
Description: |-
    Are you trying to learn Japanese, but can't seem to remember the pronunciation of the basic Hiragana or Katakana character set?

    This application is here to help. It will test your knowledge, and drill the basics into your head. You can select which of the twenty different groups you wish to test yourself on. Allowing you to customize based on your skill level. Because we can't learn all this stuff at once. Also includes a reference screen that can display all kana you're currently working on, just to remind you.

RepoType: git
Repo: https://github.com/theblackwidower/KanaQuiz.git

Builds:
  - versionName: 0.13.1-pure
    versionCode: 16
    commit: v0.13.1
    subdir: app
    output: build/outputs/apk/pure/app-pure-unsigned.apk
    prebuild:
      - sed -i -e '/maven {/,+2d' -e '/io.fabric.tools/d' ../build.gradle
      - sed -i -e '/crashlytics/,+2d' -e '/firebase/d' -e '/io.fabric/d' build.gradle
    build: gradle assemblePure

  - versionName: 0.14.1-pure
    versionCode: 18
    commit: v0.14.1
    subdir: app
    output: build/outputs/apk/pure/app-pure-unsigned.apk
    prebuild:
      - sed -i -e 's|maven.fabric.io/public|jitpack.io|' -e '/io.fabric.tools/d' ../build.gradle
      - sed -i -e '/crashlytics/,+2d' -e '/firebase/d' -e '/io.fabric/d' build.gradle
    build: gradle assemblePure

  - versionName: 0.15-pure
    versionCode: 19
    disable: https://github.com/theblackwidower/KanaQuiz/issues/18
    commit: 1645b4474f0bb68d4c344fd8af6851cbd638c59c
    subdir: app
    output: build/outputs/apk/pure/app-pure-unsigned.apk
    prebuild: sed -i -e '/gms/d' -e '/firebase/d' {.,..}/build.gradle
    build: gradle assemblePure

MaintainerNotes: We can't enable auto update because the version name has a suffix.

AutoUpdateMode: None
UpdateCheckMode: Tags
CurrentVersion: 0.15-pure
CurrentVersionCode: 19
